Open SCAP Library: cvrf_relationship Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_relationship Struct Reference

## Public Member Functions
cvrf_relationship_type_t | cvrf_relationship_get_relation_type (struct cvrf_relationship *relation)
xmlNode * | cvrf_relationship_to_dom (const struct cvrf_relationship *relation)
| Parent: CVRF ProductTree element. More...
struct cvrf_relationship * | cvrf_relationship_new (void)
| New CVRF Relationship element within ProductTree. More...
void | cvrf_relationship_free (struct cvrf_relationship *relationship)
| Deallocates memory for a Relationship element. More...
struct cvrf_relationship * | cvrf_relationship_clone (const struct cvrf_relationship *relation)
const char * | cvrf_relationship_get_product_reference (const struct cvrf_relationship *relation)
const char * | cvrf_relationship_get_relates_to_ref (const struct cvrf_relationship *relation)
struct cvrf_product_name * | cvrf_relationship_get_product_name (const struct cvrf_relationship *relation)
bool | cvrf_relationship_set_product_reference (struct cvrf_relationship *relation, const char *product_reference)
bool | cvrf_relationship_set_relates_to_ref (struct cvrf_relationship *relation, const char *relates_to_ref)
bool | cvrf_relationship_set_product_name (struct cvrf_relationship *relation, struct cvrf_product_name *name)

## Data Fields
char * | product_reference
cvrf_relationship_type_t | relation_type
char * | relates_to_ref
struct cvrf_product_name * | product_name

## Member Function Documentation

## ◆ cvrf_relationship_get_relation_type()

cvrf_relationship_type_t cvrf_relationship_get_relation_type | ( | struct cvrf_relationship * | relation | ) |

Defines how items in ProductReference and RelatesToProductReference are related

Parameters

  relation | CVRF Relationship structure

Returns
  Enum representing RelationType attribute of the Relationship element

## ◆ cvrf_relationship_to_dom()

xmlNode * cvrf_relationship_to_dom | ( | const struct cvrf_relationship * | relation | ) |

Parent: CVRF ProductTree element.

Parameters

  relation | CVRF Relationship structure to be exported to XML

Returns
  xmlNode representing Relationship element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h